function printFreqSets(freqSets, info, filename)

% printFreqPatt(freqSets, info, filename)
%-----------------------------------------------------------
% created by Jan Hrdlicka, 6.11.2011
%-----------------------------------------------------------
% this function prints frequent itemsets to the textfile.
% Input: 
% freqSets: Frequent sets in Mx2 cell array. M is number of the found sets. In the 1st column are sets of the rules.
% In the 2nd column is support.
% info: Cell array with strings containing description of each item.
% filename: String with textfile path and name

fid = fopen(filename,'w+');

for i = 1:size(freqSets,1)
    set = freqSets{i,1};
    fprintf(fid,'(');
    for j = 1:length(set)-1
        ind = set(j);
        fprintf(fid,'%s and ',info{ind+1});
    end
    fprintf(fid,'%s)',info{set(end)+1});
    
    fprintf(fid,', Confidence = %0.2f \n',freqSets{i,2});
end

fclose(fid);
